Skip to content
Go to Boltz API

List small molecule library screens

GET/compute/v1/small-molecule/library-screen

List small molecule library screens, optionally filtered by workspace

Query ParametersExpand Collapse
after_id: optional string

Return results after this ID

before_id: optional string

Return results before this ID

limit: optional number

Max items to return. Defaults to 100.

minimum1
maximum100
workspace_id: optional string

Filter by workspace ID. Only used with admin API keys. If not provided, defaults to the workspace associated with the API key, or the default workspace for admin keys.

ReturnsExpand Collapse
data: array of object { id, completed_at, created_at, 11 more }
id: string

Unique SmScreenSummary identifier

completed_at: string
formatdate-time
created_at: string
formatdate-time
data_deleted_at: string

When the input, output, and result data was permanently deleted. Null if data has not been deleted.

formatdate-time
engine: "boltz-sm-screen"

Engine used for small molecule library screen

engine_version: string

Engine version used for small molecule library screen

error: object { code, message, details }
code: string

Machine-readable error code

message: string

Human-readable error message

details: optional unknown

Additional field-level error details keyed by input path, when available.

livemode: boolean

Whether this resource was created with a live API key.

progress: object { num_molecules_failed, num_molecules_screened, total_molecules_to_screen, 2 more }
num_molecules_failed: number

Number of accepted molecules that reached terminal failure during screening.

minimum0
num_molecules_screened: number

Number of accepted molecules that produced usable screening results.

minimum0
total_molecules_to_screen: number

Total number of molecules accepted into screening after server-side validation and filtering.

minimum0
latest_result_id: optional string

ID of the most recently screened result

rejection_summary: optional object { filtered_count, invalid_count }
filtered_count: number

Number of submitted molecules removed by server-side filtering rules.

minimum0
invalid_count: number

Number of submitted molecules rejected as invalid input.

minimum0
started_at: string
formatdate-time
status: "pending" or "running" or "succeeded" or 2 more
Accepts one of the following:
"pending"
"running"
"succeeded"
"failed"
"stopped"
stopped_at: string
formatdate-time
workspace_id: string

Workspace ID

idempotency_key: optional string

Client-provided idempotency key

first_id: string

ID of the first item. Use as before_id for the previous page.

has_more: boolean
last_id: string

ID of the last item. Use as after_id for the next page.

List small molecule library screens

curl https://api.boltz.bio/compute/v1/small-molecule/library-screen \
    -H "x-api-key: $BOLTZ_API_KEY"
{
  "data": [
    {
      "id": "id",
      "completed_at": "2019-12-27T18:11:19.117Z",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_deleted_at": "2019-12-27T18:11:19.117Z",
      "engine": "boltz-sm-screen",
      "engine_version": "engine_version",
      "error": {
        "code": "code",
        "message": "message",
        "details": {}
      },
      "livemode": true,
      "progress": {
        "num_molecules_failed": 0,
        "num_molecules_screened": 0,
        "total_molecules_to_screen": 0,
        "latest_result_id": "latest_result_id",
        "rejection_summary": {
          "filtered_count": 0,
          "invalid_count": 0
        }
      },
      "started_at": "2019-12-27T18:11:19.117Z",
      "status": "pending",
      "stopped_at": "2019-12-27T18:11:19.117Z",
      "workspace_id": "workspace_id",
      "idempotency_key": "idempotency_key"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id"
}
Returns Examples
{
  "data": [
    {
      "id": "id",
      "completed_at": "2019-12-27T18:11:19.117Z",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_deleted_at": "2019-12-27T18:11:19.117Z",
      "engine": "boltz-sm-screen",
      "engine_version": "engine_version",
      "error": {
        "code": "code",
        "message": "message",
        "details": {}
      },
      "livemode": true,
      "progress": {
        "num_molecules_failed": 0,
        "num_molecules_screened": 0,
        "total_molecules_to_screen": 0,
        "latest_result_id": "latest_result_id",
        "rejection_summary": {
          "filtered_count": 0,
          "invalid_count": 0
        }
      },
      "started_at": "2019-12-27T18:11:19.117Z",
      "status": "pending",
      "stopped_at": "2019-12-27T18:11:19.117Z",
      "workspace_id": "workspace_id",
      "idempotency_key": "idempotency_key"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id"
}